<section class="home-container">
  <h1>Welcome to U-Photo!</h1>

  <ng-container *ngIf="(accountService.currentUser$ | async) === null">
    <ng-container *ngIf="!registerMode">
      <div>
        <h3>Login or Signup to start sharing your photos.</h3>
      </div>
      <div class="image-wrapper">
        <img src="{{'./assets/hp_image.jpg'}}" alt="Home Page image">
      </div>
      <hr>
      <div class="home-container-options">
        <button type="button" (click)="registerToggle()">Register</button>
        <button type="button">Learn more</button>
      </div>
    </ng-container>
    <div *ngIf="registerMode" class="home-container__register">
      <app-register (cancelRegistration)="cancelRegister($event)"></app-register>
    </div>
  </ng-container>

  <ng-container *ngIf="accountService.currentUser$ | async">
    <app-post-list></app-post-list>
  </ng-container>
</section>
